<div class="wrap">

<h1>
    <?php echo esc_attr__('Fast Cart for WooCommerce Settings', 'fast-cart') ?>
    <?php echo wp_kses( 
        apply_filters( 'fc_version_title', 
            sprintf( '<small class="wpx-version-title">%s</small>', 
            esc_attr( fast_cart()->version() ) 
        ) 
    ), 
    array( 'small' => array( 'class' => array() ) ) ); 

    // Checking nonce of option page form submission
    if ( isset($_POST['action']) && !wp_verify_nonce( sanitize_key( wp_unslash( 'action', 'action' ) ) ) ){
        wp_die();
    }
    ?>
</h1>
<?php settings_errors(); ?>

<?php
    // Hook below Plugin title
    do_action('wpx_notice_display');

    $layout_page_nonce = wp_create_nonce( 'fc-layout-nonce' );

    // Checking Nonce [Generated by layout.php] on page load
    if( wp_verify_nonce( $layout_page_nonce, 'fc-layout-nonce' ) ){
        //Get the active plugin page from the $_GET param
        $plugin_name = isset($_GET['page']) ? sanitize_key( $_GET['page'] ) : '';
        
        //Get the active tab from the $_GET param
        $default_tab = null;
        $curTab = isset($_GET['tab']) ? sanitize_key( $_GET['tab'] ) : $default_tab;
    }

    do_action('fcw_layout_start');
?>

<!-- Here are our tabs -->
<nav class="nav-tab-wrapper fcw-nav-wrapper">
<?php 
    $tab = "<a href='?page=fast-cart' class='nav-tab ".($curTab===null ? 'nav-tab-active' : null)."'> ".__('General', 'fast-cart')."</a>";
    $tab .= "<a href='?page=fast-cart&tab=styling' class='nav-tab ".($curTab==='styling' ? 'nav-tab-active' : null)."'> ".__('Styling', 'fast-cart')."</a>";
?>
  
  <?php echo wp_kses_post( apply_filters('fcw_admin_setting_tab', $tab, $curTab) ); ?>
</nav>

<div id="poststuff">

    <div id="post-body" class="metabox-holder columns-2">

        <!-- main content -->
        <div id="post-body-content">

            <form method="post" action="options.php">

                <div class="tab-content">

                    <?php 

                        do_action('fcw_setting_tab_content', $plugin_name, $curTab); 

                    ?>

                </div>

                <p class="submit submitbox fcw-setting-btn">
                    
                    <?php 

                    submit_button( __( 'Save Settings', 'fast-cart' ), 'primary', 'fcw-save-settings', false); 

                    // Making Nonce URL for Reset Link

                    $current_page = 'fast-cart';
                    $current_tab = $curTab;

                    $reset_url_args = array(
                        'action'   => 'reset',
                        '_wpnonce' => wp_create_nonce( 'fcw-settings' ),
                    );

                    $action_url_args = array(
                        'page'    => $current_page,
                        'tab'     => $current_tab,
                    );

                    $reset_url  = add_query_arg( wp_parse_args( $reset_url_args, $action_url_args ), admin_url( 'admin.php' ) );

                    ?>
                    
                    <a onclick="return confirm('<?php esc_html_e( 'Are you sure to reset?', 'fast-cart' ) ?>')" class="submitdelete" href="<?php echo esc_url( $reset_url ) ?>"><?php esc_attr_e( 'Reset Current Tab', 'fast-cart' ); ?></a>
                </p>
                

            </form>

        </div>
        <!-- post-body-content -->

        <!-- sidebar -->
        <?php 

            WPXtension_Sidebar::sidebar_start(); 

            // Documentation Block
            WPXtension_Sidebar::block(
                'dashicons dashicons-text-page',
                'Documentation',
                'To know more about settings, Please check our <a href="https://wpxtension.com/doc-category/fast-cart-for-woocommerce/" target="_blank">documentation</a>'
            ); 

            // Help & Support Block
            WPXtension_Sidebar::block(
                'dashicons dashicons-editor-help',
                'Help & Support',
                'Still facing issues with Fast Cart for WooCommerce? Please <a href="https://wpxtension.com/submit-a-ticket/" target="_blank">open a ticket.</a>'
            ); 

            // Rating Block
            WPXtension_Sidebar::block(
                'dashicons dashicons-star-filled',
                'Love Our Plugin?',
                'We feel honored when you use our plugin on your site. If you have found our plugin useful and makes you smile, please consider giving us a <a href="https://wordpress.org/support/plugin/fast-cart/reviews/" target="_blank">5-star rating on WordPress.org</a>. It will inspire us a lot.'
            ); 

            WPXtension_Sidebar::sidebar_end(); 

        ?>
        <!-- #sidebar -->

    </div>
</div>
